Overview | Package | Class
| CFML Twilio Library 1.0
FRAMES

## TwilioLib.classes
Class RESTRequest

    WEB-INF.cftags.component
            TwilioLib.classes.RESTRequest

    public class RESTRequest

extends WEB-INF.cftags.component

Constructor Summary
`init()`

Method Summary
`struct` | `dump()`
`string` | `getApiVersion()`
`struct` | `getParameters()`
`any` | `getResponse()` Returns the response object
`string` | `getResponseFormat()`
`string` | `getUrl()`
`string` | `getValidParameterList()` Returns a list of all the valid parameters for all the REST resources
`package void` | `handleResponse([struct response])` Handles the response that is returned from Twilio
`void` | `setApiVersion([string ApiVersion])`
`void` | `setParameters([string Type], [struct Values])`
`void` | `setResponseFormat([string ResponseFormat])`
`void` | `setUrl([string Url])`

Methods inherited from class WEB-INF.cftags.component
``

Constructor Detail

### init

`public init()`

Method Detail

### dump

`public struct dump()`

### getApiVersion

`public string getApiVersion()`

### getParameters

`public struct getParameters()`

### getResponse

`public any getResponse()`

  Returns the response object.

### getResponseFormat

`public string getResponseFormat()`

### getUrl

`public string getUrl()`

### getValidParameterList

`public string getValidParameterList()`

  Returns a list of all the valid parameters for all the REST resources.

### handleResponse

`package void handleResponse([struct response])`

  Handles the response that is returned from Twilio.

Parameters:
  `response`

### setApiVersion

`public void setApiVersion([string ApiVersion])`

Parameters:
  `ApiVersion`

### setParameters

`public void setParameters([string Type], [struct Values])`

Parameters:
  `Type`
  `Values`

### setResponseFormat

`public void setResponseFormat([string ResponseFormat])`

Parameters:
  `ResponseFormat`

### setUrl

`public void setUrl([string Url])`

Parameters:
  `Url`

Overview | Package | Class
| CFML Twilio Library 1.0
FRAMES